<?php
class PaDefault extends CustomPage {
	public $sZoneMustbe=0;
	public $sPageurl='Plus/m_default/cms/default.php';
	
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnBInitial(){
		$this->sMetaTitle='地区选择首页';
		$this->getUser('1,2,3,4,5,');
		$this->sTemplatePath='Nets/zoneHome.php';
		//-- ------ #Zone ------ --
		//-- #Require --
		require('../../../Cache/DbCache/Zone/Cache_0.php');
		$this->sZoneCache=$netsAR_Zone;
		//Zones
		$tmpAR0=explode($this->sysSPLIT1,$this->sysFileConfig['Zone_Opened']);
		$this->sZones_Can=array();
		foreach ($tmpAR0 as $Row0) {
			$this->sZones_Can[]=$Row0;
		}
		$this->sZones_Optional=explode($this->sysSPLIT1,$this->sysFileConfig['Zone_Optional']);
		//Alphabet
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=$this->sOptionSQL;
		$tmpAR0['InitialString']=84;
		$tmpAR0['Parid']='sotID';
		$tmpAR0['Text']='sotName';
		$tmpAR0['Value']='sotValue';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='nets/options_Alphabet';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sAlphabet1);
		$this->sAlphabet2=$this->sAlphabet1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有字母]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sAlphabet2,$tmpAR0);
		
		//-- ------ ### ------ --
		$this->sPageurl='';
		
		
	
		
	}
	public function OnList(){
		$tmpAR0=$this->AnalyerRequest('DFlag','',0);
		if ($tmpAR0[0]=='Default') {
			$this->sPageurl='Plus/m_default/Cms/default.php';
		}else if ($tmpAR0[0]=='Shop') {
			$this->sPageurl='Plus/m_default/Shop/saleHome.php';
		}else if ($tmpAR0[0]=='Groupsale') {
			$this->sPageurl='Plus/m_default/Groupsale/groupsaleHome.php';
		}else if ($tmpAR0[0]=='Gsnavigation') {
			$this->sPageurl='Plus/m_default/Gsnavigation/gsnavigationHome.php';
		}else {
			$this->sPageurl='Plus/m_default/Cms/default.php';
		}
		
		
		return 0;
	}

	
	
}
?>